<script async>
  var badgesEndpoint = function(token) { return '/yapo-badges/api/v1/badges?token=' + token};
  
  var getBadges = function(url, cb) {
    return fetch(url).then(function(res) {
      return res.json()})
      .then(function(data) { cb(data.badges) }).catch(function(e) {console.warn(e)})
  }
  

  var badgesToken = '<%%sha1_email%>';
  var setBadgesAsAttribute = function(badges) {
    var si = document.querySelector('seller-info');
    si.badges = badges;
  }

  getBadges(badgesEndpoint(badgesToken), setBadgesAsAttribute)
</script>